/*
*/

#include <Arduino.h>
#include <RB_LCD_HC.h>

RB_LCD_BP::RB_LCD_BP(Stream& dev) : serial(dev) {}

void RB_LCD_BP::cls() {
    serial.println("AT+CLR");
}

void RB_LCD_BP::setBacklight(byte val) {
    serial.print("AT+BL=");
    serial.println(val);
}

void RB_LCD_BP::setCurPos(byte r, byte c) {
    serial.print("AT+RC=");
    serial.print(r-1);
    serial.print(",");
    serial.println(c-1);
}

void RB_LCD_BP::writeChar(char val[]) {
    serial.print("AT+PR=");
    serial.println(val[0]);
}

void RB_LCD_BP::writeChars(char chars[], byte num) {
    serial.print("AT+PR=");
    for (byte i=0; i<num; i++) {
        serial.print(chars[i]);
    }
    serial.println();
};

void RB_LCD_BP::setBaud9600() {
    serial.print("AT+BR=");
    serial.println(3);
}

void RB_LCD_BP::setBaud19200() {
    serial.print("AT+BR=");
    serial.println(4);
}

void RB_LCD_BP::writeUDC(byte addr, byte udc[]) {
}

void RB_LCD_BP::setContrast(byte val) {
    serial.print("AT+CT=");
    serial.println(val);
}

void RB_LCD_BP::set16x2() {
}
